/*
 Theme Name:   Gumbo Child
 Theme URI:    http://gumbotheme.com
 Description:  DV's Gumbo Child Theme (Modified version of the Gumbo theme by ThematoSoup)
 Author:       Declan Valters
 Author URI:   http://decvalts.github.io
 Template:     gumbo
 Version:      0.0.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready, secondary-horizontal-navbar
 Text Domain:  gumbo-child
*/

/*--------------------BEGIN CHILD THEME HERE----------------------*/
/* STYLES HERE WILL TAKE PRECEDENCE OVER THE MAIN-THEME STYLESHEET*/
/*----------------------------------------------------------------*/

/* =-=-=-=-=-=-= MAIN CONTENT LAYOUT =-=-=-=-=-=-=*/
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/


/* Don't force clear around headings - Allows ToC plugin to wrap correctly */
h1, h2, h3, h4, h5, h6 { clear: none; }

/* PADDING AROUND THE MAIN PAGE CONTENT*/
.entry-content {
	padding: 15px;
}
/* CONTROL OVER THE MAIN FONT SIZE */
body, button, input, textarea {  
	font-size: 1.4em;
}

/* Vertical Space between primary nav bar and content */
#main	{
  padding: 10px 0;
 }

/*DAR:orange visited hyperlinks */
#main #primary a:visited {
  color:navy;
  }


/* Whitespace padding around main content */
.no-sidebar #content, .attachment #content, .page-template-page-templatestemplate-masonry-php #content, .page-template-page-templatestemplate-widgetized-php #content {
    padding-left: 10px;
    padding-right: 10px;
  	max-width: 960px;
}

/* Controls the .inner class of divs (inner is used for divs as far as I can tell) */
.inner	{
  max-width:auto;
  }

/* Heading 1 Font Size */
h1 {
  font-size:1.5em;
}

/* Disable the display of page titles (avoids duplication from the secondary/primary nav bars) */
/* UPDATE DV: This does not apply to news items now :) */
.page .entry-title {
  display:none;
}


/* =-=-=-=-=-= HEADER MODIFICATIONS =-=-=-=-=-=-=*/
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
.site-header hgroup	{
	padding-top: 10px;
	padding-bottom: 1px;
}
/* Fix the bizarre default padding at the top! */
.site-header.has-top-menu hgroup {
  padding: 12px;
  }
.site-header .logo-image img {
  height: 130px;
  margin-bottom: 0px;
  padding-bottom: 15px;
}
#sub-header .banner  {
padding: 0px;
}


/* =-=-=-=-=-NAVIGATION BARS AND MENUS =-=-=-=-=-=*/
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
 /* PRIMARY NAV MENU */
.navigation-main, .header-nav-below .main-small-navigation, .header-nav-below-centered .main-small-navigation  {
	background: none repeat scroll 0 0 #001A4C;
}
.navigation-main a, .main-small-navigation a	{
	color: white;
}
#top-navigation {
	background: none repeat scroll 0 0 rgba(0, 0, 0, 0.0);
  }
.main-navigation {
 position: relative;
}

/* SECONDARY NAV MENU */
/* This shifts the sub-navigation heading to the left*/
.widget-title {
  float:left;
  padding-right: 2em;
  padding-left: 1em;
  }

/* Making the nav menu and the heading into floats lets them appear side by side*/
.widget_nav_menu ul {
  float:left;
  margin: 0 0 1em;
  }
/* These next three faff around with the secondary nav menu to tighten the margins/padding*/
/* They also make the menu items display in line (horizontally instead of vertically)*/
aside.widget_nav_menu div ul li {
  display:inline;
  padding: 5px;
  }
#sub-header .inner{
  padding: 0px
    }
.widget-count-1 .widget {
  margin: 1em 0 !important;
  }

/* USER LOGIN/LOGOUT MENU 
 * There is only one user login menu, so it's safe to
 *  refer to these items by their css ID's individually
*/
#menu-user-login-menu {
  float: right;
  }
#menu-user-login-menu li a {
  color:black;
  }

/* IMAGE CONTAINERS FOR DBNET PLOTS */
#imgContainer img {
    display: inline-block;
    height: 272px;
    width: 300px;
}
img {
    border: medium none;
}
 

/* =-=-=-=-=-FOOTER-=-=-=-=-=-=-=-*/
/* FIX THE POSITION OF THE FOOTER */
.site-footer {
	position: fixed;
	bottom: 0;
}
.footer-bottom {
	padding-top: 2px;
	padding-bottom: 2px;
}
/* Make the footer the same max width as other content */
#colophon, #infinite-footer .container {
	max-width: 1040px;
}
.footer-bottom .menu {
   width: 60%;
}
.site-info {
  width: 30%;
}


/* =-=-=- SIDE BAR WIDGETS -=-==-=-=- */
.widget_fpw_widget .widget-title {
	padding-left: 0;
}
.sidebar-right #secondary {
    padding: 30px 20px 0 0;
}


/* =-=-=-=- SEARCH BOX AND BUTTON -=-=-=*/
/* Make the search box look a bit better*/
/* =-= Now using bop-search box plugin-=*/

/* Shifting the search box into the right place in the nav bar*/
.searchform { 
	float:right;
}
#searchformdiv	{
  float:right;
  padding: 10px 10px 10px 10px;
  }
.bop-nav-search 
input[type="text"], input[type="email"], input[type="password"], input[type="search"]	{
  padding: 0px;
  font-size: 1.1em;
  width:120px;
  }
  
/*Search button*/
#searchsubmit	{
  border-radius: 0px;
  border-width: 0px;
  padding: 0.5em 1.0em 0.3em;
  background: none repeat scroll 0 0 #e6e6e6;
 }
button, html input[type="button"], input[type="reset"], input[type="submit"] {
  text-shadow:none;
  }


/* =-=-=-=-=-=- MISCELLANY -=-=-=-=-=-= */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

/*DAR: Extend content down to footer (on my screen!) - need to test for others*/

div#page.hfeed.site
{
  min-height: 96vh;
}

/* Remove the absolutely massive image if you have a featured image set for the page*/
.entry-thumbnail {
    display: none;
}

/* I'm really sorry, I forgot why I did this... */
ul.toggled-on {
  float: bottom;
  }
  
h1.menu-toggle {
  color:#fff;
}

/* Make our 'news' type posts display a title (I turned this off some lines above by default) */
.type-news-items .entry-title {
  display: inline;
}

/*SB Don't display author on news items */
.post-author {
  display: none;
}

/*Make the post date bold (for bugfixes*/
.postDate {
  font-weight: bold;
}

/*DAR: Don't display post categories as it'll always be news*/
.post-categories { 
  display: none;
}

/*SB: Reduce white space around nwes items */
#content article {
   margin-bottom: 0px;
   padding-bottom: 0px;
}

/* DW: button styling for AMV monitoring*/
.amv_button {
   height: 22.833px;
   width: 25px;
   text-align: center;
   font-size: 8px;
   font-weight: bold;
   display:inline-block;
}

.gray td {
  color: #AAA;
}

/* Fix for the sticky header obscuring section title when anchor links are used*/
// DV - Hmm, many solns tried but not found to work
/*
h2 {margin-top: -300px; padding-top: 300px;}
h3 {margin-top: -300px; padding-top: 300px;}
*/

/* =-=-=-=-=-=- ADD DROP DOWN MENUS TO THE MOVEABLE HEADER BAR =-=-=-=-=-=-=-==-=-*/
/*
 * Sticky Header sub-menu CSS fix - Thanks to Stephan Zimmerman - www.quodsoft.de
 */
#thsp-sticky-header{
  padding-bottom: 0px;
}
#thsp-sticky-header .sub-menu {
  margin: 0 auto !important;
  padding: 0 !important;
  position: absolute;
  top: 46px;
  display: none;
  background-color: #303030;
  border: 0px solid #303030;
  border-top: 0px;
  width: 220px;
}
#thsp-sticky-header .sub-menu li.menu-item a{
  line-height: normal !important;
  color: #fff !important;
  
}
#thsp-sticky-header .sub-menu li.menu-item:hover a{
  color: #fff !important;
  background: none repeat scroll 0 0 #1e8ca3;
  width: 220px; /* Must extend this to 220px so that the hover color covers the whole sub menu */
}
#thsp-sticky-header #thsp-sticky-header-menu > li{
  padding-bottom: 8px;
}
#thsp-sticky-header .sub-menu li.menu-item {
 display: block !important;
 text-align: left !important;
 margin: 0px !important;
}
#thsp-sticky-header .sub-menu li.menu-item a{
  padding: 8px 20px !important;
}
#thsp-sticky-header .menu li:hover .sub-menu {
  display: block;
}

/* My Additions: DV */
#thsp-sticky-header-inner #thsp-sticky-header-menu  {
  float:left;
}
#thsp-sticky-header-title a {
  font-weight: bold;
  }
/* Align the menu item link with the hover drop down menu text */
#thsp-sticky-header li a {
  padding-left: 20px;
  padding-right:20px;
  font-size: 1.2em;
  }
/*#thsp-sticky-header-menu li.menu-item	{
  padding-right:20px;
  }*/
  
#thsp-sticky-header-menu li:hover {
 background-color: #303030;
}

/* THIS IS A HUGE CHUNK OF CSS COPIED FROM THE PARENT .CSS FILE */
/* Allows Secondary Nav Bar Drop Down Menus */

#sub-header {
        display: block;
}
#sub-header ul {
        list-style: none;
        padding: 0;
}
#sub-header .menu li {
        display: inline-block;
        position: relative;
}
/* Fix inline-block spacing */
.header-nav-below #sub-header .menu > li,
.header-nav-below-centered #sub-header .menu > li {
        margin-right: -4px;
}
#sub-header li:hover a,
#sub-header li.current_page_item a,
#sub-header li.current-menu-item a {
      background: #303030;
      color: #eee;
      text-decoration:none;
}
#sub-header .sub-menu {
        font-size: 14px;
        background: #303030;
        margin: 0;
        display: none;
        position: absolute;
                top: 100%;
        z-index: 99;
}
#sub-header .sub-menu li {
        display: block;
        position: relative;
        font-weight: normal;
}
#sub-header .sub-menu li:last-child {
        border-bottom: none;
}
#sub-header .sub-menu .sub-menu {
        top: 0;
        left: 220px;
}
#sub-header a {
        display: block;
        line-height: 1;
        text-decoration: none;
        padding: 15px 20px;
}
#sub-header .sub-menu a:hover {
        background: #1e8ca3;
	text-decoration:none;
}
#sub-header ul ul {
}
#sub-header ul ul ul {
        right: 100%;
        top: 0;
}
#sub-header ul ul a {
        width: 220px;
}
#sub-header ul li:hover > ul {
        display: block;
}
#sub-header span {
        display: block;
}
#sub-header .menu-item-text {
        font-weight: bold;
}
#sub-header .menu-item-description {
        opacity: 0.8;
        font-size: 12px;
        margin-top: 0.25em;
        font-weight: 300;
}
#sub-header .menu-item-has-children > a {
        position: relative;
}
#sub-header .menu-item-has-children > a:before {
        font-family: 'Genericons';
        -webkit-font-smoothing: antialiased;
        font-size: 10px;
        content: '\f502';
        display: inline-block;
        margin-right: 5px;
        top: 2px;
        position: relative;
}
#sub-header .sub-menu .menu-item-has-children > a {
        padding-left: 20px;
        padding-right: 35px;
}
#sub-header .sub-menu .menu-item-has-children > a:before {
        content: '\f501';
        top: 50%;
        margin-top: -5px;
        right: 5px;
        left: auto;
        position: absolute;
}
#sub-header aside {
	display: inline;
	padding: 0;
	margin: 0;
	}
#sub-header aside.widget_nav_menu div ul li {
	padding: 0;
	margin: 0;
}
#sub-header .widget_nav_menu ul {
	margin: 0;
}
#sub-header .widget-title {
	padding-top: 0.6em;
}

@media screen and (min-width: 801px) {
        .header-nav-right #sub-header .sub-menu .menu-item-has-children > a:before {
}      


tr.table-header
{
    cursor:pointer;
}                  

/* =Fixed Width------------------------------------------------------- */
#container,
#footer {
	width: 1040px!important;
}
/*Ultimate member fix*/

.um {
    opacity:1 !important;
}
